.collapse {

    &-control {

    }

    &-content {
        overflow: hidden;
        max-height: 160px;
        opacity: 1;
        position: relative;
        will-change: max-height;
        transition: all 0.3s ease-out;

    }

    &.open {

        .collapse-content {
            opacity: 1;
        }
    }
}


.collapse {

    &__content {

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 10;
            content: '';
            height: 60%;
            position: absolute;
            background: rgba(225, 244, 255, 0.3);
            background: -webkit-linear-gradient(top left, rgba(255, 255, 255, 0.3), rgba(255, 255, 255, 1.0));
            background: -moz-linear-gradient(top left, rgba(255, 255, 255, 0.3), rgba(255, 255, 255, 1.0));
            background: linear-gradient(to bottom right, rgba(255, 255, 255, 0.3), rgba(255, 255, 255, 1.0));
        }


        &--gray {

            &:before {
                background: rgba(244, 244, 244, 0.3);
                background: -webkit-linear-gradient(top left, rgba(244, 244, 244, 0.3), rgba(244, 244, 244, 1.0));
                background: -moz-linear-gradient(top left, rgba(244, 244, 244, 0.3), rgba(244, 244, 244, 1.0));
                background: linear-gradient(to bottom right, rgba(244, 244, 244, 0.3), rgba(244, 244, 244, 1.0));
            }
        }
    }

    .btn-icon {

        i {
            transition: .3s;
        }
    }

    &.open {

        .collapse-content {

            &:before {
                opacity: 0;
            }
        }

        .btn-icon {

            i {
                transform: rotate(270deg);
                transition: .3s;
            }
        }
    }
}
